ghc-7.4.2: The GHC API

Safe Haskell | None

ByteCodeItbls

# Documentation

type ItblEnv = NameEnv (Name, ItblPtr)

newtype ItblPtr

Constructors

ItblPtr (Ptr ()) |

Instances

Show ItblPtr |

itblCode :: ItblPtr -> Ptr ()

mkITbls :: [TyCon] -> IO ItblEnv

data StgInfoTable

Constructors

StgInfoTable |

Fields

ptrs :: HalfWord
nptrs :: HalfWord
tipe :: HalfWord
srtlen :: HalfWord
code :: [ItblCode]

Instances

Storable StgInfoTable |